Vector::BLF::DistributedObjectMember(3)

NAME
Vector::BLF::DistributedObjectMember - Distributed object member (communication setup).

SYNOPSIS

#include <DistributedObjectMember.h>

Inherits Vector::BLF::ObjectHeader.

  Public Types
enum MemberType : uint32_t { MemberTypeInvalid = 0, MemberTypeData = 1, MemberTypeMethod = 2, MemberTypeField = 3, MemberTypeEvent = 4, MemberTypeRefMember = 5, MemberTypeRefObject = 6, MemberTypeBindingError = 7 }
type of the distributed object member
enum DetailType : uint32_t { DetailTypeInvalid = 0, DetailTypeValue = 1, DetailTypeFunctionCall = 2, DetailTypeFunctionReturn = 3, DetailTypeFunctionDefaults = 4, DetailTypeSubscriptionState = 5, DetailTypeAnnouncementState = 6, DetailTypeReferencePath = 7, DetailTypeBindingError = 8 }
detail type of the distributed object
Public Types inherited from Vector::BLF::ObjectHeader
enum ObjectFlags : uint32_t { TimeTenMics = 0x00000001, TimeOneNans = 0x00000002 }

  Public Member Functions
void read (AbstractFile &is) override
void write (AbstractFile &os) override
uint32_t calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeader
ObjectHeader (const ObjectType objectType, const uint16_t objectVersion=0)
void read (AbstractFile &is) override
void write (AbstractFile &os) override
uint16_t calculateHeaderSize () const override
uint32_t calculateObjectSize () const override
Public Member Functions inherited from Vector::BLF::ObjectHeaderBase
ObjectHeaderBase (const uint16_t headerVersion, const ObjectType objectType)
ObjectHeaderBase (const ObjectHeaderBase &)=default
ObjectHeaderBase & operator= (const ObjectHeaderBase &)=default
ObjectHeaderBase (ObjectHeaderBase &&)=default
ObjectHeaderBase & operator= (ObjectHeaderBase &&)=default

  Public Attributes
uint32_t memberType {MemberType::MemberTypeInvalid}
type of the distributed object member
uint32_t detailType {DetailType::DetailTypeInvalid}
detail type of the distributed object
uint32_t pathLength
length of variable name in bytes
uint32_t dataLength
length of variable data in bytes
std::string path
path of the distributed object member
std::vector< uint8_t > data
variable data
Public Attributes inherited from Vector::BLF::ObjectHeader
uint32_t objectFlags {ObjectFlags::TimeOneNans}
object flags
uint16_t clientIndex {}
client index of send node
uint16_t objectVersion {0}
object specific version
uint64_t objectTimeStamp {}
object timestamp
Public Attributes inherited from Vector::BLF::ObjectHeaderBase
uint32_t signature {ObjectSignature}
signature (ObjectSignature)
uint16_t headerSize {}
sizeof object header
uint16_t headerVersion {}
header version (1)
uint32_t objectSize {}
object size
ObjectType objectType {ObjectType::UNKNOWN}
object type

Detailed Description

Distributed object member (communication setup).

Member Enumeration Documentation

  enum Vector::BLF::DistributedObjectMember::DetailType : uint32_t

detail type of the distributed object

Enumerator

DetailTypeInvalid
    BL_DO_DETAIL_TYPE_INVALID

DetailTypeValue
    BL_DO_DETAIL_TYPE_VALUE

DetailTypeFunctionCall
    BL_DO_DETAIL_TYPE_FUNCTION_CALL

DetailTypeFunctionReturn
    BL_DO_DETAIL_TYPE_FUNCTION_RETURN

DetailTypeFunctionDefaults
    BL_DO_DETAIL_TYPE_FUNCTION_DEFAULTS

DetailTypeSubscriptionState
    BL_DO_DETAIL_TYPE_SUBSCRIPTION_STATE

DetailTypeAnnouncementState
    BL_DO_DETAIL_TYPE_ANNOUNCEMENT_STATE

DetailTypeReferencePath
    BL_DO_DETAIL_TYPE_REFERENCE_PATH

DetailTypeBindingError
    BL_DO_DETAIL_TYPE_BINDING_ERROR

  enum Vector::BLF::DistributedObjectMember::MemberType : uint32_t

type of the distributed object member

Enumerator

MemberTypeInvalid
    BL_DO_MEMBER_TYPE_INVALID

MemberTypeData
    BL_DO_MEMBER_TYPE_DATA

MemberTypeMethod
    BL_DO_MEMBER_TYPE_METHOD

MemberTypeField
    BL_DO_MEMBER_TYPE_FIELD

MemberTypeEvent
    BL_DO_MEMBER_TYPE_EVENT

MemberTypeRefMember
    BL_DO_MEMBER_TYPE_DOREF_MEMBER

MemberTypeRefObject
    BL_DO_MEMBER_TYPE_DOREF_OBJECT

MemberTypeBindingError
    BL_DO_MEMBER_TYPE_BINDING_ERROR

Member Function Documentation

  uint32_t Vector::BLF::DistributedObjectMember::calculateObjectSize () const [override], [virtual]
Calculates the objectSize

Returns
    object size

Reimplemented from Vector::BLF::ObjectHeaderBase.

  void Vector::BLF::DistributedObjectMember::read (AbstractFile & is) [override], [virtual]
Read the data of this object

Parameters
    is input stream

Reimplemented from Vector::BLF::ObjectHeaderBase.

  void Vector::BLF::DistributedObjectMember::write (AbstractFile & os) [override], [virtual]
Write the data of this object

Parameters
    os output stream

Reimplemented from Vector::BLF::ObjectHeaderBase.

Author

Generated automatically by Doxygen for Vector BLF from the source code.